#version 150

#moj_import <minecraft:fog.glsl>
#moj_import <minecraft:color.glsl>

uniform sampler2D Sampler0;

uniform vec4 ColorModulator;
uniform float FogStart;
uniform float FogEnd;
uniform vec4 FogColor;

in float vertexDistance;
in vec4 vertexColor;
in vec4 lightColor;
in vec2 texCoord0;

out vec4 fragColor;

void main() {
    vec4 color = texture(Sampler0, texCoord0) * ColorModulator;
#ifdef ALPHA_CUTOUT
    if (color.a < ALPHA_CUTOUT) {
        discard;
    }
#endif
#ifdef TRANSLUCENT
    color = shadeTranslucent(color, vertexColor, lightColor, vertexDistance, FogStart, FogEnd, FogColor);
#else
    color = shade(color, vertexColor, lightColor, vertexDistance, FogStart, FogEnd, FogColor);
#endif
    fragColor = color;
}
